/* stylelint-disable indentation */
/* stylelint-disable */

@import '../variables.scss';

.home {
    .v-skeleton-loader__image {
        height: 300px;
    }

    .v-img-ca {
        .v-image__image--contain {
            background-size: cover;
        }
    }

    h1 {
        font-family: $font-syne-bold;
        font-size: 65px;
        line-height: 1;

        @media (max-width: 1280px) {
            font-size: 50px;
        }
    }

    h2 {
        font-family: $font-syne-bold;
        font-size: 36px;
    }

    .title h1 {
        margin-left: -25%;
        position: relative;
        z-index: 1;

        @media (max-width: 1280px) {
            margin-left: auto;
        }
    }

    .subtitle {
        font-family: $font-metropolis-regular;
        color: white;
        font-size: 18px;
    }
    
    .works-title {
        font-size: 36px;
    }

    .howitwork-container {
        height: inherit;
    }
    
    .howContainer {
        position: relative;

        .howInfo {
            position: absolute;
            top: 50%;
            left: 50%;
            transform: translate(-50%, -50%);
            width: fit-content;
            padding: 30px;
        }

        .howIcon {
            width: 69px;
            height: 60px;
        }
    }

    .social-media-section {
        .eapps-instagram-feed-title {
            font-family: $font-syne-bold;
            font-size: 36px;
        }
    }

    .plan-section {
        .plans {
            border-top: 1px solid #fff;
            border-bottom: 1px solid #fff;
        }

        .plans:nth-child(1) {
            border-right: 1px solid #fff;
        }

        @media (max-width: 420px) {
            .plans:nth-child(1) {
                border-right: none;
            }
        }

        h1 {
            font-family: $font-syne-bold;
            font-size: 24px;
        }

        .duration {
            font-size: 12px;
        }

        .plan2 {
            border-top: 1px solid #fff;
            border-bottom: 1px solid #fff;
        }

        .custom-list {
            margin-left: 24px;

            li {
                position: relative;
                color: white !important;
                font-size: 16px;
            }

            span {
                left: -2em;
                position: absolute;
                text-align: center;
                width: 2em;
                line-height: inherit;
            }
        }

        .planType-content {
            width: 250px;
            height: 300px;
            background: #FFFFFF;
            border-radius: 20px;

            .planType-container {
                background-color: #EA1C24;
                height: 60px;
                border-radius: 20px 20px 0px 0px;
                display: flex;
                align-items: center;
                justify-content: center;
            }

            .planType-title {
                font-size: 18px;
                text-align: center;
                padding: 20px;
            }

            .info-container {
                text-align: center;
                padding: 10px 30px 0 30px;

                .info-title {
                    color: #EA1C24;
                    font-family: $font-metropolis-regular;
                    font-weight: bold;
                    font-size: 16px;
                }

                .info-subtitle {
                    color: black;
                    font-family: $font-metropolis-regular;
                    font-weight: bold;
                    font-size: 16px;
                }
            }
        }

        .unlimited-text {
            text-align: center;
            padding: 10px 30px 0 30px;

            .u-title {
                color: #EA1C24;
                font-family: $font-metropolis-regular;
                font-weight: bold;
                font-size: 16px;
            }
    
            .u-title2 {
                color: black;
                font-family: $font-metropolis-regular;
                font-weight: bold;
                font-size: 16px;
            }
    
            .u-subtitle {
                color: black;
                font-family: $font-metropolis-regular;
                font-weight: bold;
                font-size: 14px;
            }
        }

        .classic-text {
            text-align: center;
            padding: 20px 12px 0 12px;

            .u-title2 {
                color: black;
                font-family: $font-metropolis-regular;
                font-weight: bold;
                font-size: 16px;
            }
    
            .u-subtitle {
                color: black;
                font-family: $font-metropolis-regular;
                font-weight: 600;
                font-size: 14px;
            }
        }

        .newPlan {
            h1 {
                font-family: $font-metropolis-regular;
                font-size: 36px;
            }
        }
    }

    .plan-btn {
        width: 160px !important;
        height: 44px !important;
        font-size: 18px;
        border-radius: 22px !important;
    }
    
    .plan-btn .tryMe {
        display: none;
    }
    
    .plan-btn:hover .pickMe {
        display: none;
    }

    .plan-btn:hover .tryMe {
        display: block;
    }

    .plan-btn:hover {
        background-color: #EA1C24 !important;
    }

    .subscribe-container {
        position: relative;

        .subscribe-info {
            position: absolute;
            bottom: 30px;
            right: 16px;
            width: 400px;
        }
    }

    .subs-btn {
        width: 160px;
        height: 44px !important;
        font-size: 14px;
        border-radius: 22px !important;
        background-color: #EA1C24 !important;
    }

    .subs-text {
        font-size: 24px;
    }

    .howitwork-section {
        .v-image {
            margin-bottom: 20px;
        }
    }

    .price {
        font-size: 36px !important;
        text-align: center;
    }

    .subs-info-mobile {
        background-color: #000;
        width: 315px;
        height: 315px;
    }

    @media (min-width: 1450px) {
        .subscribe-container {
    
            .subscribe-info {
                position: absolute;
                bottom: 45px;
                right: 100px;
                width: 400px;
            }
        }
        
        .subs-text {
            font-size: 36px;
        }
    }

    @media (max-width: 420px) {
        h1 {
            font-size: 40px;
        }

        h2 {
            font-size: 18px;
        }

        .social-media-section {
            .eapps-instagram-feed-title {
                font-size: 20px;
            }
        }

        .title h1 {
            margin-left: unset;
        }

        .slide-show {
            height: unset !important;

            .v-image {
                height: unset !important;
            }
        }

        .mobile-negative-top {
            margin-top: -50px;
        }

        .v-carousel__controls {
            display: none;
        }

        .subtitle {
            font-size: 16px;
        }

        .highlight-text {
            font-size: 10px;
        }

        .rounded-circle {
            height: 120px !important;
            width: 120px !important;
        }

        .cta-btn {
            margin-left: unset;
        }

        .howitwork-section {
            .v-image {
                width: 50px;
                margin-bottom: 20px;
            }
        }

        .plan-section {
            .plan1,
            .plan2 {
                border: unset;
                border-top: 1px solid #fff;
            }

            .plan2 {
                border-bottom: 1px solid #fff;
            }

            .popularTag {
                margin-left: 150px;
            }
        }

        .custom-list {
            li {
                font-size: 14px !important;
            }
        }

        .subtitle {
            font-size: 14px;
        }

        .works-title {
            font-size: 28px;
        }

        .subs-desktop {
            display: none;
        }

        .subs-mobile {
            display: block;
        }

        .subs-text {
            font-size: 18px;
        }

        .planType-content {
            height: 350px !important;
        }

        .howContainer {
            .howIcon {
                width: 52px;
                height: 45px;
            }
        }
    }

    @media (min-width: 420px) {
        .subs-desktop {
            display: block;
        }

        .subs-mobile {
            display: none;
        }
    }
}
